.TH CPSDECODE l "1 Jul 2003"
.SH NAME
cpsdecode \- Extract shell scripts and data files from Complete \fIPostScript\fP (CPS) file
.SH SYNOPSIS
\fBcpsdecode\fP [ \fIPostScript\fP-file ] [ \fB\-l\fP ] [ \fB\-s\fP ] [ \fB\-v\fP ]
.SH DESCRIPTION
\fBcpsencode\fP [and \fBcpsdecode\fP] provide a convenient way of
storing a UNIX script (or DOS batch file) and data files as part of
the single \fIPostScript\fP plot the script creates.  Thus, given the
resulting Complete \fIPostScript\fP (CPS) file one can recreate the
original script and data at a later time.
\fBcpsdecode\fP reads a \fIPostScript\fP file (or stdin if none given)
that previously has been augmented with output from \fBcpsencode\fP.
It will then extract the embedded data files, undoing the uuencoding
and compression that was performed by \fBcpsencode\fP.
.br
To simplify file extraction, in particular for those who have not installed \fBcpsdecode\fP,
the embedded files may also be extracted using
a short Bourne shell script provided among the comments written to the PostScript file.
Simply do a grep on '^%CPS' to learn how to pull out the script with sed.  Windows (DOS) users
must use the \fBcpsdecode\fP program (binaries available from the CPS web site).
.OPTIONS
.TP
.B \-l
List only.  No files are extracted but we report which files would
be decoded and decompressed and saved to disk.
.TP
.B \-s
Strips off leading directory paths from embedded file names so that all
files are written in the current directory regardless of path [Default uses embedded pathname].
.TP
.B \-v
Verbose.  Report the progress of decoding the script and any data files
referred to in the script [Default is silent].
.SH EXAMPLES
Let us say you have a cshell script called Figure_8.csh which creates
the \fIPostScript\fP file Figure_8.ps.  Figure_8.csh requires the
data files topo.grd, lines.d, and captions.txt in order to make the plot.
You turn this plot file into a
Complete \fIPostScript\fP (CPS) file with the command
.br
.sp
\fBcpsencode Figure_8.csh topo.grd lines.d captions.txt >> Figure_8.ps
.br
.sp
Alternatively, let that be the last command in the script so that it
is automatically done by the script itself.
.br
To unscramble the CPS file, simply say
.br
.sp
\fBcpsdecode \-v\fP Figure_8.ps
.SH "SEE ALSO"
.IR cpsencode (l)
.SH AUTHOR
Paul Wessel, Geology & Geophysics, SOEST, University of Hawaii,
1680 East-West Road, Honolulu HI 96822, USA.  www.soest.hawaii.edu/pwessel/cps.
