#!/bin/sh
#	$Id: cpsdecode.sh,v 1.4 2003/06/30 13:09:17 pwessel Exp $
#
#      Copyright (c) 2003 by P. Wessel
#
#      This program is free software; you can redistribute it and/or modify
#      it under the terms of the GNU General Public License as published by
#      the Free Software Foundation; version 2 of the License.
#
#      This program is distributed in the hope that it will be useful,
#      but WITHOUT ANY WARRANTY; without even the implied warranty of
#      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#      GNU General Public License for more details.
#---------------------------------------------------------------------------
#	Bare-bones Bourne shell version of cpsdecode.c.  Performs the
#	same job as cpsdecode.c but lacks its options [-l -s -v].
#	The gut of the script (the sed and grep calls) are also
#	found in any CPS file created by cpsencode (or cpsencode.sh)
#
#  cpsdecode - Decoding Complete PostScript (cps) files that
#		contain embedded data and scripts/programs required
#		to recreate the original PostScript illustration.
#
# Author:	Paul Wessel, SOEST, U. of Hawaii
# Version:	2.0 [for latest release, see www.soest.hawaii.edu/pwessel/cps]
# Date:		01-JUL-2003
#
# Usage:	cpsdecode.sh PSfile

if [ $# -ne 1 ]; then
	echo "usage: cpsdecode.sh PSfile" >&2
	exit
fi
trap "rm -f $$; exit" 0 1 2 15
sed -n '/^%CPS_PrivateDataBegin/,$p' $1 > $$
grep -n '^%CPS_File' $$ | tr ':' ' ' | awk '{if (NF == 5) {f = $3; s = $1} else { printf "sed -n %d,%ds/^%%//gp %s | uudecode\nbzip2 -df %s.bz2\n", s+1, $1-1, D, f}}' D=$$ | sh -s
