.TH CPSENCODE l "1 Jul 2003"
.SH NAME
cpsencode \- Embed shell scripts and data files in a Complete \fIPostScript\fP (CPS) file
.SH SYNOPSIS
\fBcpsencode\fP file(s) [ \fB\-s\fP ] [ \fB\-v\fP ] >> \fIPostScript\fP-file
.SH DESCRIPTION
\fBcpsencode\fP [and \fBcpsdecode\fP] provide a convenient way of
storing scripts, programs,  and data files as part of
the single \fIPostScript\fP plot the script creates.  Thus, given the
resulting Complete \fIPostScript\fP (CPS) file one can recreate the
original script and data at a later time.
\fBcpsencode\fP takes any number of scripts or data files as argument and writes
the content of each file to standard output, which you can append to the \fIPostScript\fP
file.  This extra output is written after a logical EOF marker used by
\fIPostScript\fP interpreters and begins with several comments flagged
with the \fIPostScript\fP comment %%CPS.  The files are
then written as \fIPostScript\fP comments.  All data files are compressed
with  \fBlibbz2\fP functions and converted to ASCII using a built-in
uuencode algorithm.
.br
To simplify file extraction, in particular for those who have not installed \fBcpsdecode\fP,
the embedded files may also be extracted using
a short Bourne shell script provided among the comments written to the PostScript file.
Simply do a grep on '^%CPS' to learn how to pull out the script with sed.  Windows (DOS) users
must use the \fBcpsdecode\fP program (binaries available from the CPS web site).
.OPTIONS
.TP
.B \-s
Strips off leading directory paths from file names so that \fBcpsdecode\fP
will extract all embedded files into the current directory [Default uses full pathname].
.TP
.B \-v
Reports on the progress.
.SH EXAMPLES
Let us say you have a cshell script called Figure_8.csh which creates
the \fIPostScript\fP file Figure_8.ps.  Figure_8.csh requires the
data files topo.grd, lines.d, and captions.txt in order to make the plot.
You turn this plot file into a
Complete \fIPostScript\fP (CPS) file with the command
.br
.sp
\fBcpsencode Figure_8.csh topo.grd lines.d captions.txt >> Figure_8.ps
.br
.sp
Alternatively, let that be the last command in the script so that it
is automatically done by the script itself.
.br
To unscramble the CPS file, simply say
.br
.sp
\fBcpsdecode \-v\fP Figure_8.ps
.SH "SEE ALSO"
.IR cpsdecode (l)
.SH AUTHOR
Paul Wessel, Geology & Geophysics, SOEST, University of Hawaii,
1680 East-West Road, Honolulu HI 96822, USA.  www.soest.hawaii.edu/pwessel/cps.
