/*
 *      $Id: uu.h,v 1.4 2003/06/30 13:09:17 pwessel Exp $
 *
 *      Copyright (c) 2003 by P. Wessel
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; version 2 of the License.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *--------------------------------------------------------------------*/
/*
 *      Include file for programs using libuu.a to do Unix-style
 *	uuencode and uudecode from within programs.  Currently
 *	the file permission mode is ignored and set to 644.
 *	See libuu.c for how to use the functions in your code.
 *
 * Author:	Paul Wessel, SOEST, U. of Hawaii
 * Version:	2.0 [for latest release, see www.soest.hawaii.edu/pwessel/cps]
 * Date:	01-JUL-2003
 */


#include <stdio.h>
#include <string.h>
#include <stdlib.h>

/* Declaration modifiers for DLL support (MSC et al) */

#if defined(DLL_UU)            /* define when library is a DLL */
#if defined(DLL_EXPORT)         /* define when building the library */
#define MSC_EXTRA_UU __declspec(dllexport)
#else
#define MSC_EXTRA_UU __declspec(dllimport)
#endif
#else
#define MSC_EXTRA_UU
#endif                          /* defined(DLL_UU) */

#ifndef EXTERN_MSC
#define EXTERN_MSC extern MSC_EXTRA_UU
#endif

/* So unless DLL_UU is defined, EXTERN_MSC is simply extern */

EXTERN_MSC int uu_decoder (FILE *in, char **dest, unsigned int *n_dest, char tag[], const char *prefix);
EXTERN_MSC int uu_encoder (FILE *out, char *source, unsigned int n_source, char tag[], int mode, const char *prefix);
